package com.brilliance.isc.model.pty;

import com.brilliance.isc.model.BaseEntity;

public class QueryConditionInfo extends BaseEntity {
    // pty表中字段nam(请输入External Visible Name)
    private String nam;

    // Adr表中str1(请输入Street/SWIFT Line 3)
    private String str;

    // Adr表中loctxt(请输入Textpart of City/Second Part of SWIFT Line 4)
    private String loctxt;

    // pty表中字段 idtype(客户类别)
    // { label: "对公", value: "1" },
    // { label: "同业", value: "2" },
    // { label: "对私中国居民", value: "D" },
    // { label: "对私中国非居民", value: "F" },
    private String idtype;

    // 支行行号(PTA.BRANCHINR)
    private String branchinr;

    // pty表中字段extkey(请输入Party No.)
    private String extkey;

    // adr表中字段bic(请输入BIC)
    private String bic;

    // adr表中字段loczip(请输入ZIP Code)
    private String loczip;

    // pty表中字段TRNMAN(交易主体)
    private String trnman;

    // pty表中字段IDCODE(统一社会信用代码)
    private String idcode;

    // PTY表中PTYTYP字段值，海关/Other/Own Address/Bank/Client选择值
    private String ptytyp;

    public String getPtytyp() {
        return ptytyp;
    }

    public void setPtytyp(String ptytyp) {
        this.ptytyp = ptytyp;
    }

    public String getNam() {
        return nam;
    }

    public void setNam(String nam) {
        this.nam = nam;
    }

    public String getStr() {
        return str;
    }

    public void setStr(String str) {
        this.str = str;
    }

    public String getLoctxt() {
        return loctxt;
    }

    public void setLoctxt(String loctxt) {
        this.loctxt = loctxt;
    }

    public String getIdtype() {
        return idtype;
    }

    public void setIdtype(String idtype) {
        this.idtype = idtype;
    }

    public String getBranchinr() {
        return branchinr;
    }

    public void setBranchinr(String branchinr) {
        this.branchinr = branchinr;
    }

    public String getExtkey() {
        return extkey;
    }

    public void setExtkey(String extkey) {
        this.extkey = extkey;
    }

    public String getBic() {
        return bic;
    }

    public void setBic(String bic) {
        this.bic = bic;
    }

    public String getLoczip() {
        return loczip;
    }

    public void setLoczip(String loczip) {
        this.loczip = loczip;
    }

    public String getTrnman() {
        return trnman;
    }

    public void setTrnman(String trnman) {
        this.trnman = trnman;
    }

    public String getIdcode() {
        return idcode;
    }

    public void setIdcode(String idcode) {
        this.idcode = idcode;
    }

}
